### Property

# Clutter Actor:x

#### Declaration

    property x: float [ read, write ]

#### Description [src]

X coordinate of the actor in pixels. If written, forces a fixed position for the actor. If read, returns the fixed position if any, otherwise the allocation if available, otherwise 0.

The `ClutterActor:x` property is animatable.

Type:`gfloat`

Default value | 0.000000
Getter method | `clutter_actor_get_x()`
Setter method | `clutter_actor_set_x()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no